TRAYER-SRG(1)

NAME
  trayer-srg - a lightweight GTK2-based systray for UNIX desktop

SYNOPSYS
trayer [ OPTIONS ]

DESCRIPTION
trayer is small program designed to provide systray functionality present in GNOME/KDE desktop enviroments for window managers which doesn't support that function. It's similar to other applications such as 'peksystray' and 'docker'.

trayer code was extracted from fbpanel application, you can find more about it on it's homepage: http://fbpanel.sourceforge.net/ You can find new versions of trayer and support on FVWM-Crystal project homepage: http://fvwm-crystal.berlios.de/ trayer-srg was forked from trayer in january 2010 to add some fancy features and clean up code. It contains all changes from above versions as far as known. Code of trayer-srg can be found on github: http://github.com/sargon/trayer-srg

OPTIONS

-h  prints help message and exits

-v  prints version and exits

--edge EDGE
    Use EDGE for orientation. Possible values for EDGE are left, right, top, bottom or none. The default value is bottom.

--align ALIGNMENT
    Orientation of docked icons inside the trayer panel. Possible values are left, center, right, or none. The default value is center.

--margin NUM
    Length of margin in pixels. The default value is 0.

--distance NUM
    Space between trayer's window and screen edge. When set to 0 the option has no effect. The default value is 0.

--distancefrom EDGE
    Specifies which edge to calculate distance from, see --edge. The default value is top.
     When --distance is 0 then this option has no effect.

--widthtype TYPE
    Determine how width is calculated. Possible values for TYPE are pixel, percent, request or none. The default value is percent.

--width NUM
    Width of a panel. When --widthtype=request this option has no effect. The default value is 100.

--heighttype TYPE
    Determine how height is calculated. Possible values for TYPE are pixel, request or none. The default value is pixel.

--height NUM
    Height of a panel. When --heigthtype=request this option has no effect. The default value is 26.

--SetDockTpe BOOL
    Identify panel window type as dock. The default value is true.

--SetPartialStrut BOOL
    Reserve panel's space so that it will not be covered by maximazied windows. The default value is false.

--transparent BOOL
    Use transparency. Default value is false.

--tint NUM
    Color used to "tint" background wallpaper with. NUM is 32bit width hexadecimal number. The default value is 0xFFFFFFFF.

--alpha NUM
    Percentage of transparency. NUM should be a value between 0 and 256. The default value is 127.

--expand BOOL
    Specifies if trayer can accomodate extra space or not <true|false>. The default value is true.

--padding NUM
    Number of extra pixel space between trayer's window frame and docked icons. The default value is 0.

--monitor NUM|STRING
    Define the monitor on which you like trayer to appear, number of zero to number of monitors minus one, or the string "primary" are valid. The default value is 0.

EXAMPLES

Place trayer to the top right edge of the screen and prevent other fullsize windows to overlay it:
    trayer trayer --edge top --align right --SetDockType true --SetPartialStrut true --expand true --transparent true

BUGS
Report bugs to the issue tracker: https://github.com/sargon/trayer-srg/issues

CONTRIBUTORS
  Following people are or has been involved in development of trayer-srg:

Maciej Delmanowski <harnir@users.berlios.de>

Anatoly Asviyan <aanatoly@users.sf.net>
    fbpanel

Rafal Bisingier <ravbc@man.poznan.pl>
    conversion of configuration using ~/.fbpanel/* files to commandline options

Grzegorz Niewêg³owski <hoppke@dobremiasto.net>
    code extraction from fbpanel

Thomas Rydzynski
    added new option 'distance'

Keegan Carruthers-Smith <keegan.csmith@gmail.com>
    fix align

Yury Akudovich
    added new option distancefrom option

Jens Peter Secher <jps@debian.org>
    various (debian trayer fork)

Daniel Ehlers <danielehlers@mindeye.net>
    multi monitor support, code cleanup and current maintainer.

Stu Black
    help closing a problem with wrong values in _NET_WM_STRUT_PARTIAL

Michael Weber
    fix build problems, improvements cmdline parameter handling

Johannes Bittner
    primary switch for monitor selection

Vladimir Murzin <murzin.v@gmail.com>
    fixing transparency startup problem

Corey Richardson <corey@octayn.net>

Constantine Verutin

Robbie Harwood

Omar Sandoval

AUTHOR
  This man page is written by Daniel Ehlers.